%define	module	Net-Finger
%define name	perl-%{module}
%define version	1.06
%define release	6mdk

Summary:	Net-Finger module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
Buildarch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Net/*
%{_mandir}/*/*

%changelog
* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.06-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- %%module macro
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-5mdk
- rebuild for new auto{prov,req}

* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.06-4mdk
- fix requires

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.06-3mdk
- build release

* Mon Jul 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.06-2mdk
- rebuild with new perl

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.06-1mdk
- initial cooker contrib.

